/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* GNU AGPL v3 which accompanies
* this distribution, and is available at
* http://www.gnu.org/licenses/agpl.txt
*
* Contributors:
*
* Simon Dutkowski Fraunhofer FOKUS
*
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/

package eu.DECIDEh2020.architect.cloudpatterns.compendium.converters;

import io.vertx.core.json.JsonObject;
import org.apache.jena.rdf.model.Resource;
import org.apache.jena.vocabulary.DCTerms;

public class NFRConverter {

    public static Resource toResource(JsonObject nfr) {
        return null;
    }

    public static JsonObject toJson(Resource nfr) {
        JsonObject obj = new JsonObject();
        obj.put("uriref", nfr.getURI());
        obj.put("title", nfr.getProperty(DCTerms.title).getString());
        obj.put("description", nfr.getProperty(DCTerms.description).getString());
        return obj;
    }

}
